Actualizar técnico
curl --request PUT \
--url https://api.raul.ugps.io/api/v1/technician/update/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"technician_name": "Juan Pérez",
"city_id": "uuid",
"phone": "+56912345678",
"email": "tecnico@example.com",
"address": "Av. Providencia 123",
"is_active": true
}
'import requests
url = "https://api.raul.ugps.io/api/v1/technician/update/{id}"
payload = {
"technician_name": "Juan Pérez",
"city_id": "uuid",
"phone": "+56912345678",
"email": "tecnico@example.com",
"address": "Av. Providencia 123",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
technician_name: 'Juan Pérez',
city_id: 'uuid',
phone: '+56912345678',
email: 'tecnico@example.com',
address: 'Av. Providencia 123',
is_active: true
})
};
fetch('https://api.raul.ugps.io/api/v1/technician/update/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Technicians
Actualizar técnico
Operacion: Actualizar técnico.
PUT
/
api
/
v1
/
technician
/
update
/
{id}
Actualizar técnico
Authorizations
Bearer token authentication
Path Parameters
ID del técnico (UUID)
Body
application/json
Nombre del técnico
Example:
"Juan Pérez"
ID de la ciudad
Example:
"uuid"
Teléfono
Example:
"+56912345678"
Example:
"tecnico@example.com"
Dirección
Example:
"Av. Providencia 123"
Estado activo/inactivo del técnico
Example:
true
Response
Técnico actualizado exitosamente
The response is of type object.
⌘I